{
  "type": "extendedcrafting:shaped_table",
  "pattern": [
    "     ",
    "  A  ",
    " ABA ",
    "  A  ",
    "     "
  ],
  "key": {
    "A": {
      "item": "pneumaticcraft:turbine_blade"
    },
    "B": {
      "item": "thermal:iron_gear"
    }
  },
  "result": {
    "item": "immersive_aircraft:propeller"
  }
}